%define name iwlwifi-5000-ucode
%define version 8.24.2.12
%define release %mkrel 2

Summary: Intel PRO/Wireless 5000AGN microcode
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-%{version}.tgz
Source1: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-5.4.A.11.tar.gz
License: Proprietary
Group: System/Kernel and hardware
Url: http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-5000-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 5000AGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q

%build


%install
rm -rf %{buildroot}

# provide old firmware with ucode_api=1 for compatibility with older kernels
install -d %{buildroot}/lib/firmware
install -m644 iwlwifi-*.ucode %{buildroot}/lib/firmware/

install -d %{buildroot}/lib/firmware/iwlwifi-5000-ucode-5.4.A.11
install -m644 iwlwifi-5000-1.ucode %{buildroot}/lib/firmware/iwlwifi-5000-ucode-5.4.A.11/iwlwifi-5000-1.ucode

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/lib/firmware/*.ucode
/lib/firmware/iwlwifi-5000-ucode-5.4.A.11/iwlwifi-5000-1.ucode

%changelog
* Sun Feb 14 2010 Texstar <texstar at gmail.com> 8.24.2.12-2pclos2010
- update for 2010

* Wed Jul 01 2009 Texstar <texstar@gmail.com> 8.24.2.12-1pclos2009
- inport into pclos

